更新后,Ubuntu 16.04 GUI被破坏

分享于 

3分钟阅读

ubuntu

  繁體

问题

升级后,Ubuntu桌面GUI无法正常工作,并且经常卡死。

我也尝试过 sudo apt-get install ubuntu-desktop 但是得到如下结果。


The following packages have unmet dependencies:


 ubuntu-desktop : Depends: checkbox-gui but it is not going to be installed


 Recommends: python3-aptdaemon.pkcompat but it is not going to be installed


 Recommends: unity-webapps-common but it is not going to be installed


E: Unable to correct problems, you have held broken packages.



我尝试安装checkbox-gui,然后它给出另一个未满足的依赖项错误


答案1

下面的命令解决了问题, unity --replace sudo apt-get install --reinstall unity sudo dpkg --configure -a sudo apt-get update sudo apt-get upgrade -y


答案2

总是用ppa-purge删除PPA


sudo add-apt-repository ppa:kubuntu-ppa/backports


sudo apt-get update && sudo apt-get dist-upgrade


sudo apt-get install kubuntu-desktop



一小时后,我决定切换回Unity,并删除KDE:


sudo add-apt-repository --remove ppa:kubuntu-ppa/backports


sudo apt-get update && sudo apt-get dist-upgrade


sudo apt-get remove --purge kubuntu-desktop



登录后遇到一些问题,所以,我尝试重新安装ubuntu-desktopunity,但是,我得到错误:


The following packages have unmet dependencies:


 ubuntu-desktop : Depends: checkbox-gui but it is not going to be installed


 Recommends: python3-aptdaemon.pkcompat but it is not going to be installed


 Recommends: unity-webapps-common but it is not going to be installed


E: Unable to correct problems, you have held broken packages.



我发现了原因:删除PPA不会降级软件包,解决方案是再次添加它,并执行:


sudo apt-get install ppa-purge


sudo ppa-purge ppa:kubuntu-ppa/backports



然后我可以重新安装ubuntu-desktop



bro  gui  Ubuntu  
相关文章